Package: org.gradle.api

## [Java] Class Namer

- org.gradle.api.Named.Namer

- All Implemented Interfaces and Traits:
    Namer

      public static class Named.Namer

  An implementation of the namer interface for objects implementing the named interface.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static Namer<Named>` | `INSTANCE` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `String` | `determineName(Named object)`
    `static Namer<? super T>` | `forType(Class<? extends T> type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final Namer<Named> INSTANCE

  - ### Method Detail

    - #### public String determineName(Named object)

    - #### @SuppressWarnings("unchecked") public static Namer<? super T> forType(Class<? extends T> type)